Cocoon API: Class DummyProducer

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.example
Class DummyProducer

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor
            |
            +--org.apache.cocoon.producer.AbstractProducer
                  |
                  +--org.apache.cocoon.example.DummyProducer

All Implemented Interfaces:
  Actor, Changeable, Defaults, Producer, Status

public class DummyProducer
extends AbstractProducer
implements Status

Stupid producer to show how this functionality works.

Version:
  $Revision: 1.5 $ $Date: 2000/04/13 10:43:17 $
Author:
  Stefano Mazzocchi

Fields inherited from class org.apache.cocoon.producer.AbstractProducer
`context, parser`

Fields inherited from class org.apache.cocoon.framework.AbstractActor
`director`

Fields inherited from interface org.apache.cocoon.Defaults
`BROWSERS_PROP, CACHE_DEFAULT, CACHE_PROP, COCOON_FORMAT_PI, COCOON_PROCESS_PI, DEFAULT_BROWSER, DISABLE_CACHING_PI, ERROR_INTERNALLY, FORMATTER_PROP, HOME, INIT_ARG, INTERPRETER_PROP, LOG, LOG_LEVEL, LOOPS, NAME, OUTPUTTING, PARSER_DEFAULT, PARSER_PROP, PROCESSOR_PROP, PRODUCER_PROP, PROFILER_DEFAULT, PROFILER_PROP, PROPERTIES, SHOW_STATUS, STATUS_URL, STATUS_URL_DEFAULT, STORE_DEFAULT, STORE_PROP, STYLESHEET_PI, TRANSFORMER_DEFAULT, TRANSFORMER_PROP, VERSION, WHOLE_REQUEST, YEAR`

Constructor Summary
`DummyProducer()`

Method Summary
`java.lang.String` | `getPath(javax.servlet.http.HttpServletRequest request)` Returns the path where the resource is found, or an empty string if no path can be applied to the resource.
`java.lang.String` | `getStatus()` Returns information about the status of the implementing class.
`java.io.Reader` | `getStream(javax.servlet.http.HttpServletRequest request)` This method is responsible to provide an input stream to read the data generated or contained by the resource mapped by this document producer.

Methods inherited from class org.apache.cocoon.producer.AbstractProducer
`getDocument, hasChanged, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyProducer

    public DummyProducer()

Method Detail

### getStream

    public java.io.Reader getStream(javax.servlet.http.HttpServletRequest request)
                             throws java.io.IOException

  Description copied from interface: `Producer`
  This method is responsible to provide an input stream to read the data generated or contained by the resource mapped by this document producer. This stream is not guaranteed to be buffered.

### getPath

    public java.lang.String getPath(javax.servlet.http.HttpServletRequest request)

  Description copied from interface: `Producer`
  Returns the path where the resource is found, or an empty string if no path can be applied to the resource. Warning, null values are not valid.

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Specified by:
    `getStatus` in interface `Status`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.